## LightDMLanguage LightDMLanguage — Get information on available languages |

## Functions

GList * | lightdm_get_languages ()
LightDMLanguage * | lightdm_get_language ()
const gchar * | lightdm_language_get_code ()
const gchar * | lightdm_language_get_name ()
const gchar * | lightdm_language_get_territory ()
gboolean | lightdm_language_matches ()

## Properties

char * | code | Read / Write / Construct Only
char * | name | Read
char * | territory | Read

## Object Hierarchy

        GObject
        ╰── LightDMLanguage

## Includes

    #include <lightdm.h>

## Description

LightDMLanguage is an object that describes a language that is available on the system.

## Functions

### lightdm_get_languages ()

    GList *
    lightdm_get_languages (void);

Get a list of languages to present to the user.

#### Returns

A list of LightDMLanguage that should be presented to the user.

[element-type LightDMLanguage][transfer none]

### lightdm_get_language ()

    LightDMLanguage *
    lightdm_get_language (void);

Get the current language.

#### Returns

The current language or NULL if no language.

[transfer none]

### lightdm_language_get_code ()

    const gchar *
    lightdm_language_get_code (LightDMLanguage *language);

Get the code of a language (e.g. "de_DE.UTF-8")

#### Parameters

language | A LightDMLanguage |

#### Returns

The code of the language

### lightdm_language_get_name ()

    const gchar *
    lightdm_language_get_name (LightDMLanguage *language);

Get the name of a language.

#### Parameters

language | A LightDMLanguage |

#### Returns

The name of the language

### lightdm_language_get_territory ()

    const gchar *
    lightdm_language_get_territory (LightDMLanguage *language);

Get the territory the language is used in.

#### Parameters

language | A LightDMLanguage |

#### Returns

The territory the language is used in.

### lightdm_language_matches ()

    gboolean
    lightdm_language_matches (LightDMLanguage *language,
                              const gchar *code);

Check if a language code matches this language.

#### Parameters

language | A LightDMLanguage |
code | A language code |

#### Returns

TRUE if the code matches this language.

## Property Details

### The `“code”` property

      “code”                     char *

Language code.

Owner: LightDMLanguage

Flags: Read / Write / Construct Only

Default value: NULL

### The `“name”` property

      “name”                     char *

Name of the language.

Owner: LightDMLanguage

Flags: Read

Default value: NULL

### The `“territory”` property

      “territory”                char *

Territory the language is from.

Owner: LightDMLanguage

Flags: Read

Default value: NULL